<h2>Product List</h2>

<div>
  <button (click)="add()">
    Add
  </button>
</div>

<ul class="clients">
  <li *ngFor="let c of client; let i=index;">
    <a routerLink="/client-details/{{c.id}}">
      <span class="badge">{{i+1}}</span> {{c.Name}}
    </a>
    <button class="delete" title="delete client"
            (click)="delete(c.id)">
      x
    </button>
  </li>
</ul>
